# Poco

# class ProcessHandleImpl

Library: Foundation
Package: Processes
Header: Poco/Process_WIN32U.h

## Inheritance

Direct Base Classes: RefCountedObject

All Base Classes: RefCountedObject

## Member Summary

Member Functions: closeHandle, id, process, tryWait, wait

Inherited Functions: duplicate, referenceCount, release

## Constructors

### ProcessHandleImpl

ProcessHandleImpl(
HANDLE _hProcess,
UInt32 pid
);

## Destructor

### ~ProcessHandleImpl

~ProcessHandleImpl();

## Member Functions

### closeHandle

void closeHandle();

### id

UInt32 id() const;

### process

HANDLE process() const;

### tryWait

int tryWait() const;

### wait

int wait() const;